Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model
Interface OWLNames.Slot

Enclosing interface:
  OWLNames

    public static interface OWLNames.Slot

Field Summary
`static String` | `ALL_VALUES_FROM`
`static String` | `BACKWARD_COMPATIBLE_WITH`
`static String` | `CARDINALITY`
`static String` | `COMPLEMENT_OF`
`static String` | `DIFFERENT_FROM`
`static String` | `DISJOINT_WITH`
`static String` | `DISTINCT_MEMBERS`
`static String` | `EQUIVALENT_CLASS`
`static String` | `EQUIVALENT_PROPERTIES` Deprecated. use EQUIVALENT_PROPERTY instead
`static String` | `EQUIVALENT_PROPERTY`
`static String` | `HAS_VALUE`
`static String` | `IMPORTS`
`static String` | `INCOMPATIBLE_WITH`
`static String` | `INTERSECTION_OF`
`static String` | `INVERSE_OF`
`static String` | `MAX_CARDINALITY`
`static String` | `MIN_CARDINALITY`
`static String` | `ON_PROPERTY`
`static String` | `ONE_OF`
`static String` | `ONTOLOGY_PREFIXES`
`static String` | `OWL_ONTOLOGY_POINTER_PROPERTY`
`static String` | `PRIOR_VERSION`
`static String` | `RESOURCE_URI`
`static String` | `SAME_AS`
`static String` | `SOME_VALUES_FROM`
`static String` | `SUBCLASSES_DISJOINT`
`static String` | `UNION_OF`
`static String` | `VALUES_FROM`
`static String` | `VERSION_INFO`

Field Detail

### ALL_VALUES_FROM

    static final String ALL_VALUES_FROM

### BACKWARD_COMPATIBLE_WITH

    static final String BACKWARD_COMPATIBLE_WITH

### CARDINALITY

    static final String CARDINALITY

### COMPLEMENT_OF

    static final String COMPLEMENT_OF

### DIFFERENT_FROM

    static final String DIFFERENT_FROM

### DISJOINT_WITH

    static final String DISJOINT_WITH

### DISTINCT_MEMBERS

    static final String DISTINCT_MEMBERS

### EQUIVALENT_CLASS

    static final String EQUIVALENT_CLASS

### EQUIVALENT_PROPERTY

    static final String EQUIVALENT_PROPERTY

### EQUIVALENT_PROPERTIES

    static final String EQUIVALENT_PROPERTIES

  Deprecated. use EQUIVALENT_PROPERTY instead

### HAS_VALUE

    static final String HAS_VALUE

### INCOMPATIBLE_WITH

    static final String INCOMPATIBLE_WITH

### INTERSECTION_OF

    static final String INTERSECTION_OF

### INVERSE_OF

    static final String INVERSE_OF

### MAX_CARDINALITY

    static final String MAX_CARDINALITY

### MIN_CARDINALITY

    static final String MIN_CARDINALITY

### ON_PROPERTY

    static final String ON_PROPERTY

### IMPORTS

    static final String IMPORTS

### ONE_OF

    static final String ONE_OF

### PRIOR_VERSION

    static final String PRIOR_VERSION

### SAME_AS

    static final String SAME_AS

### SOME_VALUES_FROM

    static final String SOME_VALUES_FROM

### SUBCLASSES_DISJOINT

    static final String SUBCLASSES_DISJOINT

### VALUES_FROM

    static final String VALUES_FROM

### VERSION_INFO

    static final String VERSION_INFO

### UNION_OF

    static final String UNION_OF

### ONTOLOGY_PREFIXES

    static final String ONTOLOGY_PREFIXES

### RESOURCE_URI

    static final String RESOURCE_URI

### OWL_ONTOLOGY_POINTER_PROPERTY

    static final String OWL_ONTOLOGY_POINTER_PROPERTY

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.